# SXP Reference

SXP_addVariableNumber | Functions

#### Syntax

         SXP_addVariableNumber(Q, name, value)

Name | Type | Description
--- | --- | ---
`Q` | `QueryContext` | The current query context.
`name` | `const SXP_char*` | The name of the variable.
`value` | `double` | The number to bind the variable to.
`(RET)` | `int` | The error code.

#### Description

Binds a variable to a number. The binding will only be in effect for the next `SXP_query`.

#### See Also

Groups | [ Functions ]
Entries | [ QueryContext | SXP_addVariableBinding | SXP_addVariableBoolean | SXP_addVariableString | SXP_query ]

© 2001-2003 Ginger Alliance
revision 03-01-31
This page was generated by APIDOC